<?php
/**
 * mhandle_base - The base class for menu event handles.
 *
 * @author $Author: dtong $
 * @version $Id: mhandle_base.php,v 1.3 2010/09/07 04:08:10 dtong Exp $
 * @copyright Copyright (c) 2010, Tiller Software Co., Ltd.
*/

abstract class mhandle_base {
	protected $CI = NULL;
	protected $data = NULL;

	//All handles have to implement this method
	abstract protected function invoke();

	function __construct() {
		$this->CI = & get_instance();
	}

	function reset($data) {
		$this->data = $data;
	}

}